org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class ProjectTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ProjectTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.ProjectTest.Traversals

- Enclosing class:
    ProjectTest

      public static class ProjectTest.Traversals
      extends ProjectTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ProjectTest

      `ProjectTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Map<String,Number>>` | `get_g_V_hasLabelXpersonX_projectXa_bX_byXoutE_countX_byXageX()`
    `Traversal<Vertex,String>` | `get_g_V_outXcreatedX_projectXa_bX_byXnameX_byXinXcreatedX_countX_order_byXselectXbX__descX_selectXaX()`
    `Traversal<Vertex,Map<String,Number>>` | `get_g_V_projectXa_bX_byXinE_countX_byXageX()`
    `Traversal<Vertex,Map<String,Object>>` | `get_g_V_valueMap_projectXxX_byXselectXnameXX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.ProjectTest

      `g_V_hasLabelXpersonX_projectXa_bX_byXoutE_countX_byXageX, g_V_outXcreatedX_projectXa_bX_byXnameX_byXinXcreatedX_countX_order_byXselectXbX__descX_selectXaX, g_V_projectXa_bX_byXinE_countX_byXageX, g_V_valueMap_projectXxX_byXselectXnameXX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_hasLabelXpersonX_projectXa_bX_byXoutE_countX_byXageX

          public Traversal<Vertex,Map<String,Number>> get_g_V_hasLabelXpersonX_projectXa_bX_byXoutE_countX_byXageX()

      Specified by:
        `get_g_V_hasLabelXpersonX_projectXa_bX_byXoutE_countX_byXageX` in class `ProjectTest`

    - #### get_g_V_projectXa_bX_byXinE_countX_byXageX

          public Traversal<Vertex,Map<String,Number>> get_g_V_projectXa_bX_byXinE_countX_byXageX()

      Specified by:
        `get_g_V_projectXa_bX_byXinE_countX_byXageX` in class `ProjectTest`

    - #### get_g_V_outXcreatedX_projectXa_bX_byXnameX_byXinXcreatedX_countX_order_byXselectXbX__descX_selectXaX

          public Traversal<Vertex,String> get_g_V_outXcreatedX_projectXa_bX_byXnameX_byXinXcreatedX_countX_order_byXselectXbX__descX_selectXaX()

      Specified by:
        `get_g_V_outXcreatedX_projectXa_bX_byXnameX_byXinXcreatedX_countX_order_byXselectXbX__descX_selectXaX` in class `ProjectTest`

    - #### get_g_V_valueMap_projectXxX_byXselectXnameXX

          public Traversal<Vertex,Map<String,Object>> get_g_V_valueMap_projectXxX_byXselectXnameXX()

      Specified by:
        `get_g_V_valueMap_projectXxX_byXselectXnameXX` in class `ProjectTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.